Loading ...
Sorry, an error occurred while loading the content.

Re: [linuxham] NEW PROGRAM ANNOUNCEMENT - FLDIGI 0.92 beta

Expand Messages
  • Leigh L. Klotz, Jr.
    Thank you; I figured it out too. I used rpmbuild, but the fltk.spec file in the tarfile download from fltk.org does not have --enable-threads in the default
    Message 1 of 13 , Sep 6, 2006
    • 0 Attachment
      Thank you; I figured it out too.

      I used rpmbuild, but the fltk.spec file in the tarfile download from
      fltk.org does not have --enable-threads in the default config, so it's
      always going to be required to hand-configure fltk (or repackage).

      Leigh/WA5ZNU

      w1hkj wrote:
      > Fltk *must *be compiled for threads
      > Use:
      > ./configure --enable-threads
      ...
    • David Freese
      The Fltk 2.x configure file does enable threads by default. It would be nice if the 1.7 distro did the same. Fldigi may one of the first large programs
      Message 2 of 13 , Sep 6, 2006
      • 0 Attachment
        The Fltk 2.x configure file does enable threads by default. It would
        be nice if the 1.7 distro did the same. Fldigi may one of the first
        large programs placed in the GPL public domain that uses threads under
        Fltk.

        Dave
      • Leigh L. Klotz, Jr.
        OK, I got it to compile and run. Hamlib works and can read my rig. But I get nothing from the RX side. My sound device is /dev/dsp1. It seems to open it
        Message 3 of 13 , Sep 6, 2006
        • 0 Attachment
          OK, I got it to compile and run.
          Hamlib works and can read my rig.
          But I get nothing from the RX side.
          My sound device is /dev/dsp1.
          It seems to open it because gmfsk complains that it /dev/dsp1 is open.
          But the waterfall shows nothing.

          Any suggestions?
          Leigh/WA5ZNU
        • Leigh L. Klotz, Jr.
          OK, Success! On a quiet band the display showed nothing until I adjusted the signal range control. Leigh/WA5ZNU
          Message 4 of 13 , Sep 6, 2006
          • 0 Attachment
            OK, Success! On a quiet band the display showed nothing until I
            adjusted the signal range control.
            Leigh/WA5ZNU
          • Ed
            ... Dave, I get the following error and have no idea how to correct it. configure: error: Configure could not find required X11 libraries ./configure: line
            Message 5 of 13 , Sep 11, 2006
            • 0 Attachment
              David Freese wrote:

              > Please provide feedback on the compilation, installation and use.
              > Fldigi has some unique features that are not found in any other
              > digital modem program for Linux.
              >
              > 73s, Dave, W1HKJ


              Dave, I get the following error and have no idea how to correct it.


              configure: error: Configure could not find required X11 libraries
              ./configure: line 10022: exit: aborting.: numeric argument required


              Any ideas....Ubuntu 6.06 on a geb\neric Dell 1.0 gig.

              Ed W3NR
            • w1hkj
              Ed, From your email it looks like you are having difficulty getting past the ./configure on Fltk. Is that correct? I m not familiar with the Ubuntu distro,
              Message 6 of 13 , Sep 11, 2006
              • 0 Attachment
                Ed,

                From your email it looks like you are having difficulty getting past
                the ./configure on Fltk. Is that correct?

                I'm not familiar with the Ubuntu distro, but I believe it is based on
                Debian. Your path to the X11 libraries is either different or the
                libraries are missing. I think it is more likely to be a path problem.

                Assuming that the problem is during the pre-compile for Fltk, try
                looking at the output of

                ./configure --help

                for more infor on the various parameters that can be passed to the
                configure script.

                Can anyone else who is familiar with Ubuntu help Ed?

                Dave, W1HKJ
              • Hamish Moffatt
                ... I think missing -dev packages is the most likely problem. At least libfltk1.1-dev is required, and it will depend on some X headers which it also requires.
                Message 7 of 13 , Sep 11, 2006
                • 0 Attachment
                  On Mon, Sep 11, 2006 at 06:21:49PM -0400, w1hkj wrote:
                  > From your email it looks like you are having difficulty getting past
                  > the ./configure on Fltk. Is that correct?
                  >
                  > I'm not familiar with the Ubuntu distro, but I believe it is based on
                  > Debian. Your path to the X11 libraries is either different or the
                  > libraries are missing. I think it is more likely to be a path problem.

                  I think missing -dev packages is the most likely problem.

                  At least libfltk1.1-dev is required, and it will depend on some X
                  headers which it also requires.


                  Hamish
                  --
                  Hamish Moffatt VK3SB <hamish@...> <hamish@...>
                • Ed
                  ... I cannot compile the FLTK, line 1022 is looking for stdlib.h and it is in /usr/include. Root has read/write, groups and user have read permissions. I have
                  Message 8 of 13 , Sep 11, 2006
                  • 0 Attachment
                    w1hkj wrote:
                    > Ed,
                    >
                    > From your email it looks like you are having difficulty getting past
                    > the ./configure on Fltk. Is that correct?
                    >
                    > I'm not familiar with the Ubuntu distro, but I believe it is based on
                    > Debian. Your path to the X11 libraries is either different or the
                    > libraries are missing. I think it is more likely to be a path problem.
                    >
                    > Assuming that the problem is during the pre-compile for Fltk, try
                    > looking at the output of
                    >
                    > ./configure --help
                    >
                    > for more infor on the various parameters that can be passed to the
                    > configure script.
                    >
                    > Can anyone else who is familiar with Ubuntu help Ed?
                    >
                    > Dave, W1HKJ


                    I cannot compile the FLTK, line 1022 is looking for stdlib.h and it is
                    in /usr/include. Root has read/write, groups and user have read
                    permissions. I have no idea how to set the path if needed. What I do not
                    understand ./configure is telling me it has checked for stdlb.h and it
                    says yes. Would anyone care to take a look at my config.log and see if
                    they could help. ??

                    Ed W3NR
                  Your message has been successfully submitted and would be delivered to recipients shortly.